Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Class MenuItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.bgsecure.common.bean.MenuItem

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class MenuItem
    extends IdTitle

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MenuItem()` |
  `MenuItem​(int id, java.lang.String title)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getData()` |
  `int` | `getGroupCount()` |
  `int` | `getUserCount()` |
  `boolean` | `isDefault()` |
  `void` | `setData​(java.lang.String data)` |
  `void` | `setDefault​(boolean value)` |
  `void` | `setGroupCount​(int groupCount)` |
  `void` | `setUserCount​(int userCount)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### MenuItem

    public MenuItem()

  - ### MenuItem

    public MenuItem​(int id, java.lang.String title)

- ## Method Details

  - ### isDefault

    public boolean isDefault()

  - ### setDefault

    public void setDefault​(boolean value)

  - ### getUserCount

    public int getUserCount()

  - ### setUserCount

    public void setUserCount​(int userCount)

  - ### getGroupCount

    public int getGroupCount()

  - ### setGroupCount

    public void setGroupCount​(int groupCount)

  - ### getData

    public java.lang.String getData()

  - ### setData

    public void setData​(java.lang.String data)